MPI_File_write_all_begin(3)

NAME
MPI_File_write_all_begin - Begin a split collective write using individual file pointer

SYNOPSIS
int MPI_File_write_all_begin(MPI_File mpi_fh, void *buf, int count,
                           MPI_Datatype datatype)

INPUT PARAMETERS
fh  - file handle (handle)
buf - initial address of buffer (choice)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
write_allb.c